import lejos.nxt.*;

import edu.msoe.se2890.supplied.LegoMindstormsProxy;

/**
 * This class will demonstrate the operation of the Lego Minstorms PC Proxy. In
 * essence, it will print out the values received from the PC to the console as
 * well as the value read from the compass connected to port 1. It will display
 * the compass on the console.
 * 
 * 
 * 
 * @author schilling
 * 
 */
public class MindstormProxyEx {

	public static void main(String[] args) throws Exception {
		// Startup the proxy.
		LCD.drawString("waiting", 0, 0);

		LegoMindstormsProxy p = LegoMindstormsProxy.getSingleton(LegoMindstormsProxy.BLUETOOTHPROXY);
		Thread t1 = new Thread(p);
		t1.start();
		
		int receptionCount = 0;

		while (p.isRunning() == true) {
			int b;

			b = p.receiveInt();
			receptionCount++;

			// Enqueue the int to send it again.
			p.enqueue(b);

			// Write the value on the display
			LCD.drawInt(b, 8, 0, 1);
			LCD.drawInt(receptionCount, 8, 0, 2);
		}
		// Wait for t1 to die as a thread.
		//t1.join();
	}
}
